PROCEDURE GRMVROW

PARAMETER PVPOS, PNUMROW

* Removes rows from a report file.
* Ajusts band info, deletes the objects in the rows,
* and moves all the rows below it up.
* It dose not pack the file.

* (Remember, upper left corner of a report is row 0, col 0)

PRIVATE XVPOS

IF EMPTY(PNUMROW)
  PNUMROW = 1
ENDIF

XVPOS = 0

SCAN FOR OBJTYPE = c_otBnd
  IF XVPOS + HEIGHT > PVPOS
    EXIT
  ENDIF
  XVPOS = XVPOS + HEIGHT
ENDSCAN

IF XVPOS + HEIGHT < PVPOS + PNUMROW-1
  GM(1) = "System attempting to delete rows accross band boundries."
  gm(2) = "Report layout modification aborted."
  GM(3) = "/L"
  GM(4) = "The information in this report should still be correct,"
  GM(5) = "but the format may look awkward."
  GM(6) = "/L"
  GM(7) = "Report file:"+dbf()
  GM(8) = "Start Row:"+gnum(pvpos)
  GM(9) = "Number of Rows:"+gnum(pnumrow)
  DO BSSAYMSG
  RETURN
ENDIF

* Shorten the size of the band.
REPLACE HEIGHT WITH HEIGHT - PNUMROW

* Delete the ojbects in the rows
DELETE FOR BETWEEN(VPOS, PVPOS, PVPOS+PNUMROW-1) AND INLIST(OBJTYPE,5,8)

* "Pull up" the rest to the objects.
REPLACE VPOS WITH VPOS - PNUMROW;
 FOR VPOS >= PVPOS + PNUMROW AND INLIST(OBJTYPE,5,8)

RETURN
* EOP: LRMVROW *
